﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Plane.Copters;

namespace Plane.FormationCreator.Formation
{
    public partial class FlightTaskSingleCopterInfo
    {
        public static FlightTaskSingleCopterInfo CreateForTurnTask(ICopter copter, LatLng latLngOffset, float targetAlt, short targetHeading)
        {
            var info = new FlightTaskSingleCopterInfo(copter)
            {
                LatLngOffset = latLngOffset,
                TargetAlt = targetAlt,
                TargetHeading = targetHeading
            };
            return info;
        }

        private short _TargetHeading;
        public short TargetHeading
        {
            get { return _TargetHeading; }
            set { Set(nameof(TargetHeading), ref _TargetHeading, value); }
        }
    }
}
